Loading...
Searching...
No Matches
logger.h File Reference

Class for logging information to file or console. More...

`#include "common/singleton.h"`
`#include <string>`
`#include <cstdarg>`
`#include <cstdio>`
`#include <vector>`
Include dependency graph for logger.h:

## Classes

class | CLogger
| Class for loggin information to file or console. More...

## Enumerations

enum | LogLevel { LOG_TRACE = 1 , LOG_DEBUG = 2 , LOG_INFO = 3 , LOG_WARN = 4 , LOG_ERROR = 5 , LOG_NONE = 6 }
| Enum representing log level. More...

## Functions

CLogger * | GetLogger ()
| Global function to get Logger instance.

## Detailed Description

Class for logging information to file or console.

## Enumeration Type Documentation

## LogLevel

enum LogLevel

Enum representing log level.

common/logger.h

Enumerator
LOG_TRACE | lowest level, execution tracing
LOG_DEBUG | debugging messages
LOG_INFO | information
LOG_WARN | warning
LOG_ERROR | error
LOG_NONE | none level, used for custom messages

## Function Documentation

## GetLogger()

CLogger * GetLogger | ( |  | ) |

inline

Global function to get Logger instance.